ObjectsPublic url
Compute a public URL for one raw object
Compute a public URL for one raw object
Header Parameters
apikey*string
The static admin key configured as ATHENA_KEY_12. Authorization headers (Bearer <key>), X-API-Key, X-Athena-Key, or ?api_key= are also accepted.
X-Athena-Client?string
Optional Athena client name used when Athena should also persist metadata or audit context for the raw storage operation.
Request Body
application/json
[key: string]?any
Response Body
application/json
curl -X POST "https://athena-cluster.com/storage/objects/public-url" \ -H "apikey: string" \ -H "Content-Type: application/json" \ -d '{}'{
"status": "success",
"message": "string",
"data": {}
}Empty
Empty
Load object metadata without downloading the object body POST
Previous Page
Update object metadata headers and/or ACL POST
Updates object metadata headers and/or ACL on the underlying object store. When `X-Organization-Id` is present, Athena also persists the mutation into `athena.files`, `athena.audit_log_files`, and `athena.event_log_files` on the Athena client selected by `X-Athena-Client`.